#
# Kalisto
# 
# Copyright (c) 2001-2005
# 	Distributed Systems Research Group
# 	Department of Software Engineering
# 	Faculty of Mathematics and Physics
# 	Charles University, Czech Republic
# see ../README for more details
#
#
#
# MSIM configuration script
#


# alloc one processor
add dcpu cpu0

# a main memory located at the beginning of the address space
# load the kernel binary image
add rwm mainmem		0		2024k	load "kernel.bin"
# a rom memory to store a loader
add rom startmem	0x1fc00000	1k	load "loader.bin" 

# device - printer to dump output
add dprinter	printer		0x01000000

#device keyboard
add dkeyboard 	keyboard 	0x01000008 	3
